#
# spec file for package mellanox-mlnx_en (Version 1.5.1.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://support.novell.com
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv kernel-source kernel-syms klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Summary:        Mellanox Ethernet driver for ConnectX series 

Name:           mellanox-mlnx_en
Group:          System/Kernel
Version:        1.5.1.5
Release:        1
License:        GPL/BSD
Url:            http://www.mellanox.com
Source:         %name-%version.tgz
Source1:        Module.supported
Provides:       %name
Conflicts:      mlnx_en
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%define debug_package %{nil}

%define suse %{!?suse_kernel_module_package:0}%{?suse_kernel_module_package:1}

%{!?flav: %define flav $(ls /usr/src/linux-obj/%_target_cpu 2>/dev/null)}

%define install_mod_dir updates
%define kernel_source /usr/src/linux-obj/%{_target_cpu}
%{!?flav: %define flav $(ls /usr/src/linux-obj/%_target_cpu 2>/dev/null)}
%{!?flavors_to_build: %define flavors_to_build %{flav}}

%if "%{suse_version}" == "1010"
BuildRequires:  kernel-source kernel-syms
%suse_kernel_module_package -x %flav
%else
BuildRequires:  %kernel_module_package_buildreqs
%if "%{_arch}" == "x86_64"
%kernel_module_package default smp xen
%else
%kernel_module_package default smp pae bigsmp xen xenpae
%endif
%endif

%description
This package contains the Linux driver for ConnectX EN Based Network Interface Card with 10GigE Support

%package KMP

Summary:        Mellanox 10GbE Driver for Linux
Group:          System/kernel

%description KMP
This package contains the Linux driver for ConnectX EN Based Network Interface Card with 10GigE Support

%package doc

Summary:        Documentation for the Mellanox 10GbE Driver for Linux
Group:          System/Kernel

%description doc
This package contains the documentation for the ConnectX EN Based Network Interface Card with 10GigE Support

%prep
%setup
cp %_sourcedir/Module.supported Module.supported
set -- *
mkdir source
mv drivers include scripts/mlnx_en_patch.sh Module.supported kernel_patches kernel_addons makefile Makefile source
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	cd $PWD/obj/$flavor
	KSRC=%{kernel_source $flavor} ./mlnx_en_patch.sh
	make KSRC=%{kernel_source $flavor} 
	cd -
done
gzip -c scripts/mlx4_en.7 > mlx4_en.7.gz

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=%install_mod_dir
for flavor in %flavors_to_build; do 
	cd $PWD/obj/$flavor
	make KSRC=%{kernel_source $flavor} install MODULES_DIR=$INSTALL_MOD_DIR DESTDIR=$RPM_BUILD_ROOT
	cd -
done
install -D -m 644 mlx4_en.7.gz $RPM_BUILD_ROOT/%{_mandir}/man7/mlx4_en.7.gz

%postun doc
if [ -f %{_mandir}/man7/mlx4_en.7.gz ]; then
	exit 0
fi

%clean
rm -rf %{buildroot}

%files doc
%defattr(-,root,root,-)
%{_mandir}/man7/mlx4_en.7.gz

%define major_change (Severity:Critical)
%define medium_change (Severity:Medium)
%define minor_change (Severity:Minor)

%changelog
* Wed Sep 22 2010 - andavis@novell.com
- Initial PLDP build - bnc #639807 (sle10), bnc #639810 (sle11)
* Wed Sep 09 2009 - yevgenyp@mellanox.co.il
- Modified spec file to conform to KMP specifications
